<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 10;
$toolId = 49;
$objsettings = ToolSettingsAPI::getToolSettings($toolId);
$settingsArray = array();

$setting = new Setting();
$setting->name = 'useAbweichendeSemester';
$setting->description = 'Von den allgemeinen Semestereinstellungen abweichende Semester verwenden';
$setting->help = 'Falls gesetzt, werden die unten angegebenen Semestereinstellungen verwendet, ansonsten die unter Allgemein/Semestereinstellungen';
$setting->subGroup = 'Feedback-Auswertungen Übersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'semlist';
$setting->description = 'Kurse folgender Semester anzeigen';
$setting->help = 'Es können auch mehrere Semester gewählt werden.';
$setting->subGroup = 'Feedback-Auswertungen Übersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_MULTISELECT);
$setting->config->separator = ',';

$semapi = new SemesterHlAPI();
$semesterAry = $semapi->getSemester();
$items = array();
foreach ($semesterAry as $semester) {
  $items[$semester] = 'Semester \'<b>' . $semester . '</b>\'';
}
if (count($items) == 0) {
  $items[''] = 'Es sind keine Semester verfügbar! Bitte überprüfen Sie die
  Hinterlegung der Semester.';
}
$setting->config->items = $items;
array_push($settingsArray, $setting);

$settingsArray[] = \Kufer\Admin\Classes\Settings\Helper\Tools\KursStatusHelper::createKursStatusSetting($toolId, $objsettings, 'Feedback-Auswertungen Übersicht');

$settingsArray[] = \Kufer\Web\Admin\Classes\Settings\Helper\Tools\KursDozententypHelper::createKursDozententypSetting($toolId, 'Feedback-Auswertungen Übersicht');

$setting = new Setting();
$setting->name = 'kursFilterVorbelegen';
$setting->description = 'Kursfilter vorbelegen';
$setting->subGroup = 'Kursfilter:';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_MULTISELECT);
$setting->config->items = array('W' => '<b>Kursfilter vorbelegen:</b><br /><label for="knr_von" class="knr_label">Kursnummer von<input type="text" name="knr_von" class="knr_filter" id="knr_von" value="' . $objsettings->knrVon . '"></label><br />'
    . '<label for="knr_bis" class="knr_label">Kursnummer bis<input type="text" name="knr_bis" class="knr_filter" id="knr_bis" value="' . $objsettings->knrBis . '"></label>');
array_push($settingsArray, $setting);

$connInfo = new \DBConnectionInfo();
if ($connInfo->db_replikat && $connInfo->db_typ == \DBTypeEnum::MYSQLI) {
  array_push($settingsArray, \Kufer\Admin\Classes\Settings\Helper\Tools\LinkHelper::createHardlinkSettingItemToToolSetting('allg_sonstiges', 'Datensatz', $toolId, 'Nur aus Replikatsdatenbank lesen'));
}

$subGroup = 'Feedbackauswertungen';

$setting = new Setting();
$setting->name = 'feedbackGedrucktEinschraenkenAufDozenten';
$setting->description = 'Ausgewertete Feedbackbögen auf "für Dozent" einschränken';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_SELECTBOX);
$setting->config->items = array(
  ToolFeedbackAuswertungenDozSettings::EINSCHRAENKEN_AUF_DOZENTEN_NO => 'Nein',
  ToolFeedbackAuswertungenDozSettings::EINSCHRAENKEN_AUF_DOZENTEN_MAYBE => 'Allgemein und für eingeloggten Dozenten',
  ToolFeedbackAuswertungenDozSettings::EINSCHRAENKEN_AUF_DOZENTEN_JUST => 'Nur eingeloggtem Dozenten',
);
array_push($settingsArray, $setting);